Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jivesoftware.openfire.stats
Enum Statistic.Type

    java.lang.Object
      java.lang.Enum<Statistic.Type>
          org.jivesoftware.openfire.stats.Statistic.Type

All Implemented Interfaces:
  Serializable, Comparable<Statistic.Type>

Enclosing interface:
  Statistic

    public static enum Statistic.Type

extends Enum<Statistic.Type>

The type of statistic.

Enum Constant Summary
`count` The total rate over time.
`rate` The average rate over time.

Method Summary
`static Statistic.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Statistic.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### rate

    public static final Statistic.Type rate

  The average rate over time. For example, the averave kb/s in bandwidth used for file transfers. Each time the `Statistic.sample()` method is invoked, it should return the "amount" of data recorded since the last invocation.

### count

    public static final Statistic.Type count

  The total rate over time. For example, the number of users created. Each time the `Statistic.sample()` method is invoked, it should return the "amount" of data recorded since the last invocation. The values will be totalled over the relevant time interval (by minute, hourly, daily, etc.).

Method Detail

### values

    public static Statistic.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Statistic.Type c : Statistic.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Statistic.Type valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2008 Jive Software.